# Class XYMultiSeriesTransition

java.lang.Object
com.codename1.charts.transitions.SeriesTransition
com.codename1.charts.transitions.XYMultiSeriesTransition

All Implemented Interfaces:
  `Animation`

public class XYMultiSeriesTransition extends SeriesTransition
A transition to animate the values of a MultipleSeriesDataset (used by BarChart).

- ## Field Summary

  ### Fields inherited from class SeriesTransition

  `EASING_IN, EASING_IN_OUT, EASING_LINEAR, EASING_OUT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XYMultiSeriesTransition(ChartComponent chart, XYMultipleSeriesDataset dataset)`
  Creates a new transition for the given chart and dataset.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `cleanup()`
  Cleans up any settings in the transition.
  `XYMultipleSeriesDataset`
  `getBuffer()`
  Gets the buffer/cache for values.
  `protected void`
  `initTransition()`
  Initializes the transition for another iteration.
  `protected void`
  `update(int progress)`
  Updates the renderer and model at the specified progress position of the animation.

  ### Methods inherited from class SeriesTransition

  `animate, animateChart, getChart, getDuration, getEasing, paint, setChart, setDuration, setEasing, updateChart`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### XYMultiSeriesTransition

    public XYMultiSeriesTransition(ChartComponent chart, XYMultipleSeriesDataset dataset)

    Creates a new transition for the given chart and dataset. The dataset must be rendered by the given chart for this to work correctly.

    ###### Parameters

    - `chart`

    - `dataset`

- ## Method Details

  - ### initTransition

    protected void initTransition()
    Initializes the transition for another iteration. This can be overridden by subclasses to provide their own initialization. This method will be called just prior to the transition taking place. IMPORTANT: Subclasses must make sure to call super.initTransition() so that the animation will be initialized properly.
    Overrides:
      `initTransition` in class `SeriesTransition`

  - ### update

    protected void update(int progress)

    Updates the renderer and model at the specified progress position of the animation. Meant to be overridden by subclasses.

    ###### Parameters

    - `progress`: The progress of the animation (between 0 and 100).

    ###### Parameters

    - `progress`
    Specified by:
      `update` in class `SeriesTransition`

  - ### cleanup

    protected void cleanup()
    Cleans up any settings in the transition. Called after a transition is complete. This is meant to be overridden by subclasses.
    Overrides:
      `cleanup` in class `SeriesTransition`

  - ### getBuffer

    public XYMultipleSeriesDataset getBuffer()
    Gets the buffer/cache for values. Values set in the buffer will be applied to the target dataset when the transition takes place.